org.apache.avro.perf.test.reflect.jmh_generated

## Class ReflectIntArrayTest_TestStateEncode_jmhType_B2

- java.lang.Object
- - org.apache.avro.perf.test.BasicState
  - - org.apache.avro.perf.test.BasicArrayState
    - - org.apache.avro.perf.test.reflect.ReflectIntArrayTest.TestStateEncode
      - - org.apache.avro.perf.test.reflect.jmh_generated.ReflectIntArrayTest_TestStateEncode_jmhType_B1
        - - org.apache.avro.perf.test.reflect.jmh_generated.ReflectIntArrayTest_TestStateEncode_jmhType_B2

Direct Known Subclasses:
  ReflectIntArrayTest_TestStateEncode_jmhType_B3

    public class ReflectIntArrayTest_TestStateEncode_jmhType_B2
    extends ReflectIntArrayTest_TestStateEncode_jmhType_B1

### Field Summary

Fields
`int` `setupInvocationMutex`
`static AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2>` `setupInvocationMutexUpdater`
`int` `setupIterationMutex`
`static AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2>` `setupIterationMutexUpdater`
`int` `setupTrialMutex`
`static AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2>` `setupTrialMutexUpdater`
`int` `tearInvocationMutex`
`static AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2>` `tearInvocationMutexUpdater`
`int` `tearIterationMutex`
`static AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2>` `tearIterationMutexUpdater`
`int` `tearTrialMutex`
`static AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2>` `tearTrialMutexUpdater`

### Fields inherited from class org.apache.avro.perf.test.BasicArrayState

`arraySize`

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ReflectIntArrayTest_TestStateEncode_jmhType_B2()`

### Method Summary

### Methods inherited from class org.apache.avro.perf.test.reflect.ReflectIntArrayTest.TestStateEncode

`doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicArrayState

`getArraySize, getBatchSize`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### setupTrialMutex

    public volatile int setupTrialMutex

#### tearTrialMutex

    public volatile int tearTrialMutex

#### setupTrialMutexUpdater

    public static final AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2> setupTrialMutexUpdater

#### tearTrialMutexUpdater

    public static final AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2> tearTrialMutexUpdater

#### setupIterationMutex

    public volatile int setupIterationMutex

#### tearIterationMutex

    public volatile int tearIterationMutex

#### setupIterationMutexUpdater

    public static final AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2> setupIterationMutexUpdater

#### tearIterationMutexUpdater

    public static final AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2> tearIterationMutexUpdater

#### setupInvocationMutex

    public volatile int setupInvocationMutex

#### tearInvocationMutex

    public volatile int tearInvocationMutex

#### setupInvocationMutexUpdater

    public static final AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2> setupInvocationMutexUpdater

#### tearInvocationMutexUpdater

    public static final AtomicIntegerFieldUpdater<ReflectIntArrayTest_TestStateEncode_jmhType_B2> tearInvocationMutexUpdater

### Constructor Detail

#### ReflectIntArrayTest_TestStateEncode_jmhType_B2

    public ReflectIntArrayTest_TestStateEncode_jmhType_B2()